Query report summary

Query report summary from a report that is not created

Mode:

  • Preview: 100 Records
  • Run: 12000 Records

Based on the report type sent in the request, the data structure returned may have multiple formats.

Types

List

{
    ...
    "columns": ...
    "settings": {
        ...
        "totals": false,
        "transpose": false,
    }
}

List (Totals)

{
    ...
    "columns": ...
    "settings": {
        ...
        "totals": true,
        "transpose": false,

    }
}

PeriodList

{
    ...
    "columns": ...
    "periods": ...
    "settings": {
        ...
        "totals": false,
        "transpose": true|false,
    }
}

Summary

{
    ...
    "columns": ...
    "group_rows": ...
    "settings": {
        ...
        "totals": false,
        "transpose": true|false,

    }
}

Summary (Totals)

{
    ...
    "columns": ...
    "group_rows": ...
    "settings": {
        ...
        "totals": true
        "transpose: true|false,
    }
}

PeriodSummary

{
    ...
    "columns": ...
    "group_rows": ...
    "periods": ...
    "settings": {
        ...
        "totals": false,
        "transpose": true|false,
    }
}

Pivot

{
    ...
    "columns": ...
    "group_rows": ...
    "group_columns": ...
    "settings": {
        ...
        "totals": false,
        "transpose": true|false
    }
}

Pivot (Totals)

{
    ...
    "columns": ...
    "group_rows": ...
    "group_columns": ...
    "settings": {
        ...
        "totals": true,
        "transpose": true|false,
    }
}

Data

TypeHeadersIndexRecordsGroup RowsGroup ColumnsTotalsPeriodsTranspose
ListYesNoYesNoNoNoNoNo
List (Totals)YesNoYesNoNoYesNoNo
PeriodListYesYesYesNoNoNoYesYes
SummaryYesYesYesYesNoNoNoYes
Summary (Details)YesYesYesYesNoYesNoNo
Summary (Totals)YesYesYesYesNoYesNoYes
PeriodSummaryYesYesYesYesNoNoYesYes
PivotYesYesYesYesYesNoNoYes
Pivot (Totals)YesYesYesYesYesYesNoYes
Query Params
string
enum
Defaults to raw

Select the format of the numbers in the records. The "raw" values are sent unmodified from the database. The "formatted" records as are cast to a string. Currency type CDFs are defined in the property settings and other numbers are formatted with commas to separate every third digit and a decimal to separate the fractional portion.

Allowed:
string
enum
required

Select the mode to limit the amount of records. Preview has a limit of 100 records, and run has a limit 12,000 records

Allowed:
Body Params
property_ids
array of integers
required
length ≥ 1

Report property ids

property_ids*
integer
enum
required

Dataset id

columns
array of objects
required
length ≥ 1

Report columns

columns*
group_rows
array of objects | null
Defaults to null

Report group rows

group_rows
group_columns
array of objects | null
Defaults to null

Report group columns

group_columns
custom_cdfs
array of objects | null
Defaults to null

Report custom cdfs

custom_cdfs
filters
object | null

Report filters

sort
array of objects | null
Defaults to null

Report sort

sort
settings
object | null

Report settings

periods
array of objects | null
Defaults to null

Periods to compare

periods
formats
object | null

Formatting options of the report

comparisons
array of objects | null
Defaults to null

A list of up to 5 Comparisons, each containing 'name' and 'filters' properties. The 'filters' are the same structure as those in report.filters.

comparisons
Headers
integer
required
≥ 1

Property id of the client

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json